Package ru.bitel.bgbilling.modules.rscm.server.bean

# Class RSCMCalculatorUtils

java.lang.Object
ru.bitel.bgbilling.modules.rscm.server.bean.RSCMCalculatorUtils

public class RSCMCalculatorUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMCalculatorUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `doCalc(ru.bitel.bgbilling.modules.rscm.server.tariff.RscmTariffContext rscmTariffContext, List<Integer> contractIds, PeriodicErrorManager errorManager, org.slf4j.Logger log)`
  `static LocalDate`
  `getInstallmentPaymentNextDate(LocalDate date, String paymentMode)`
  `static RSCMTariffRequestResult`
  `processTariffRequest(ServiceCostCache costCache, int domainId, int contractId, int serviceId, int amount, int amountUp, int amountDown, boolean last, LocalDate serviceDate, BigDecimal costFromContract, ru.bitel.bgbilling.modules.rscm.server.tariff.RscmTariffContext rscmTariffContext, org.slf4j.Logger logger)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMCalculatorUtils

    public RSCMCalculatorUtils()

- ## Method Details

  - ### doCalc

    public static void doCalc(ru.bitel.bgbilling.modules.rscm.server.tariff.RscmTariffContext rscmTariffContext, List<Integer> contractIds, PeriodicErrorManager errorManager, org.slf4j.Logger log) throws Exception
    Throws:
      `Exception`

  - ### processTariffRequest

    public static RSCMTariffRequestResult processTariffRequest(ServiceCostCache costCache, int domainId, int contractId, int serviceId, int amount, int amountUp, int amountDown, boolean last, LocalDate serviceDate, BigDecimal costFromContract, ru.bitel.bgbilling.modules.rscm.server.tariff.RscmTariffContext rscmTariffContext, org.slf4j.Logger logger)

  - ### getInstallmentPaymentNextDate

    public static LocalDate getInstallmentPaymentNextDate(LocalDate date, String paymentMode)